Use DivMask inside QBGenerator

16 Apr 2015 12:44 - John Abbott

Status: New Start date: 16 Apr 2015

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Tidying Estimated time: 0.00 hour

Target version: CoCoALib-1.0 Spent time: 0.50 hour

Description

Internally QBGenerator usually makes very many divisibility tests; use DivMask to make these tests faster.

This will probably be useful for current work on ImplicitDrect

Related issues:

Related to CoCoALib - Bug #232: No test for QBGenerator New 24 Sep 2012

Related to CoCoALib - Feature #775: PPMonoid with 1 extra "exponent"? New 15 Sep 2015

History

#1 - 16 Apr 2015 12:52 - John Abbott

We shall need collections of DivMask mirroring the elements of myCornerList and myAvoidList.  A complication arises when myCornerList is sorted.

One possibility is to use PPWithMask inside myCornerList and myAvoidList, but this would force a change in the user interface (since both "lists" are

publicly readable).

#2 - 16 Apr 2015 12:59 - John Abbott

- Description updated

#3 - 07 May 2015 14:36 - John Abbott

- Target version changed from CoCoALib-0.99536 June 2015 to CoCoALib-0.99540 Feb 2016

#4 - 02 Feb 2016 14:16 - John Abbott

- Target version changed from CoCoALib-0.99540 Feb 2016 to CoCoALib-1.0
